{
  "accUserMode" : 2,
  "caption" : "学员登记信息",
  "codeName" : "ReginfoChartView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/ReginfoChartView.json",
  "name" : "ReginfoChartView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ChartView",
    "name" : "engine"
  } ],
  "getPSControls" : [ {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSSEARCHFORMS/Default.json",
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_studentid_eq",
      "hidden" : true,
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      }
    }, {
      "id" : "n_reginfoname_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "REGINFONAME",
        "codeName" : "ReginfoName"
      }
    }, {
      "id" : "n_address_eq",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "ADDRESS",
        "codeName" : "Address"
      }
    }, {
      "id" : "n_department_eq",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "DEPARTMENT",
        "codeName" : "DepartMent"
      }
    }, {
      "id" : "n_age_gtandeq",
      "dataType" : 9,
      "getPSAppDEField" : {
        "name" : "AGE",
        "codeName" : "Age"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "学生标识(等于(=))",
        "codeName" : "n_studentid_eq",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_studentid_eq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "STUDENTID",
          "codeName" : "StudentId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "n_studentid_eq"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "hidden" : true,
        "showCaption" : true
      }, {
        "caption" : "学员登记信息名称(文本包含(%))",
        "codeName" : "n_reginfoname_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_reginfoname_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "REGINFONAME",
          "codeName" : "ReginfoName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_reginfoname_like"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "家庭住址",
        "codeName" : "n_address_eq",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_address_eq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ADDRESS",
          "codeName" : "Address"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_address_eq"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "单位",
        "codeName" : "n_department_eq",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_department_eq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "DEPARTMENT",
          "codeName" : "DepartMent"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_department_eq"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "年龄",
        "codeName" : "n_age_gtandeq",
        "dataType" : 9,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_age_gtandeq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "AGE",
          "codeName" : "Age"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_age_gtandeq"
        },
        "getPSLayoutPos" : {
          "colLG" : 8,
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : 8,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "33c3311c3a8092371f63a2ee2b005ec4",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Chart",
    "controlType" : "CHART",
    "coordinateSystem" : "XY",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo/PSCHARTS/Chart.json",
    "emptyText" : "hello",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      }
    },
    "logicName" : "Chart",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSChartCoordinateSystems" : [ {
      "eChartsType" : "cartesian2d",
      "index" : 0,
      "name" : "[line_0]直角坐标系[0]",
      "getPSChartGrid" : {
        "index" : 0,
        "name" : "[line_0]直角坐标系[0]",
        "getPSChartCoordinateSystem" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridXAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartGridYAxis0" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "grid",
        "id" : "0"
      },
      "type" : "XY",
      "id" : "0"
    } ],
    "getPSChartDataSetGroups" : [ {
      "index" : 0,
      "name" : "DEFAULT",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
      },
      "id" : "0"
    } ],
    "getPSChartDataSets" : [ {
      "index" : 0,
      "name" : "line_0-DEFAULT",
      "getPSChartDataSetFields" : [ {
        "index" : 0,
        "name" : "NAME",
        "getPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
        },
        "groupField" : true,
        "id" : "0"
      }, {
        "index" : 1,
        "name" : "AGE",
        "groupField" : false,
        "id" : "1"
      } ],
      "id" : "0"
    } ],
    "getPSChartGrids" : [ {
      "index" : 0,
      "name" : "[line_0]直角坐标系[0]",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridXAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartGridYAxis0" : {
        "modelref" : true,
        "id" : "0"
      },
      "type" : "grid",
      "id" : "0"
    } ],
    "getPSChartXAxises" : [ {
      "eChartsPos" : "xAxis",
      "eChartsType" : "category",
      "index" : 0,
      "name" : "axis_xAxis_0",
      "position" : "bottom",
      "type" : "category",
      "id" : "0"
    } ],
    "getPSChartYAxises" : [ {
      "eChartsPos" : "yAxis",
      "eChartsType" : "value",
      "index" : 0,
      "name" : "axis_yAxis_0",
      "position" : "left",
      "type" : "numeric",
      "id" : "0"
    } ],
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "图形控件处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CHART"
    },
    "getPSDEChartLegend" : {
      "index" : 0,
      "legendPos" : "BOTTOM",
      "showLegend" : true,
      "id" : "0"
    },
    "getPSDEChartSerieses" : [ {
      "caption" : "学生信息",
      "catalogField" : "NAME",
      "getCatalogPSCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/common__UsrCodeList0129740128.json"
      },
      "eChartsType" : "line",
      "index" : 0,
      "name" : "line_0",
      "getPSChartCoordinateSystem" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartDataSet" : {
        "modelref" : true,
        "id" : "0"
      },
      "getPSChartSeriesEncode" : {
        "index" : 0,
        "name" : "坐标系编码",
        "getPSChartXAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "getPSChartYAxis" : {
          "modelref" : true,
          "id" : "0"
        },
        "type" : "XY",
        "x" : [ "NAME" ],
        "y" : [ "AGE" ],
        "id" : "0"
      },
      "seriesLayoutBy" : "column",
      "seriesType" : "line",
      "step" : false,
      "valueField" : "AGE",
      "enableChartDataSet" : true,
      "stack" : false
    } ],
    "getPSDEChartTitle" : {
      "index" : 0,
      "subTitle" : "学生年龄信息",
      "title" : "学生信息",
      "titlePos" : "TOP",
      "showTitle" : true,
      "id" : "0"
    },
    "readOnly" : true,
    "name" : "chart",
    "modelid" : "89B413C7-2659-491C-8D8D-D84B5EDE23A8",
    "modeltype" : "PSDECHART",
    "getUserParam" : {
      "EC.textStyle" : "{\"color\":\"#409EFF\",\"fontSize\":16}",
      "EC.color" : "[\"#5470c6\",\" #91cc75\",\" #fac858\",\" #ee6666\",\" #73c0de\",\" #3ba272\",\" #fc8452\",\" #9a60b4\",\" #ea7ccc\"]"
    }
  }, {
    "caption" : "学员登记信息",
    "codeName" : "ChartViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "ChartView",
  "getPSDEViewId" : "CACE4D09-8EFE-4870-93FF-F39F58C09A48",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECHARTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Reginfo.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "学员登记信息图表视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECHARTVIEW",
  "enableDP" : true,
  "enableQuickGroup" : false,
  "enableQuickSearch" : false,
  "enableSearch" : true,
  "expandSearchForm" : false,
  "loadDefault" : true,
  "modelid" : "1972cef25b5d99057535bbed6daa9491",
  "modeltype" : "PSAPPDEVIEW"
}